function init() {
  const rows = document.querySelectorAll("tr");
  for (let rowNr = 0;rowNr < rows.length;rowNr++){
    const cells=rows[rowNr].querySelectorAll("td");
    for(let cellNr=0;cellNr<cells.length;cellNr++){
      if(rowNr == cellNr){
        cells[cellNr].style.backgroundColor="red"
      }
    }
  }
}

init();